Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001300KdenliveTransitionspublic2009-11-21 17:302010-02-20 08:17
Reportertidris769 
Assigned Toddennedy 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSUbuntu LinuxOS Version9.04
Product VersionRecent git 
Target VersionFixed in Version0.7.7 
Summary0001300: Crash in project with other project as clip and composite transitions
DescriptionCrash when trying to modify a project that uses another project as a clip, and both projects use composite transitions.
Steps To Reproduce1- Launch kdenlive
2- Select the Project -> Project Setting menu item. Select the HD 720p 59.94Hz video profile in the Project Settings dialog. Click OK.
2- Create a title clip.
3- Add title clip to track 0, drag clip all the way to the left.
4- In the composite transition for title clip, change size of red rectangle to 50%, set "with track" to Black.
5- Add title clip to track 1, drag clip all the way to the left.
6- In the composite transition for the track 1 title clip, change size of red rectangle to 50%, drag red rectangle to bottom right of the white rectangle, set "with track" to Black.
7- Save this as project A.
8- Also save as project B.
9- Open project B.
10- Add project A to the project tree.
11- Delete the title clip from track 0 but keep the composite transition that is already there.
12- Drag the project A clip to track 0 so it overlaps the existing composite transition.
13- If kdenlive hasn't crashed yet, play the project to make it crash.
14- If kdenlive hasn't crashed, yet, repeat steps 12 & 13 on track 1.
Additional InformationUsing svn 4139.
TagsNo tags attached.
Build/Install Method(select)
Attached Filestxt file icon trace.txt [^] (9,041 bytes) 2009-11-21 17:30 [Show Content]

- Relationships
related to 0001259closedddennedy Problem with projects imported as clips and transitions 

-  Notes
(0004325)
tidris769 (reporter)
2009-11-21 17:40
edited on: 2009-11-21 18:46

Step 14 should read:
If kdenlive hasn't crashed, yet, do steps 11 to 13 on track 1.

(0004419)
ddennedy (developer)
2009-12-08 07:43

fixed in mlt git commit d866718

- Issue History
Date Modified Username Field Change
2009-11-21 17:30 tidris769 New Issue
2009-11-21 17:30 tidris769 Build/Install Method => (select)
2009-11-21 17:30 tidris769 File Added: trace.txt
2009-11-21 17:32 tidris769 Note Added: 0004324
2009-11-21 17:32 tidris769 Note Edited: 0004324 View Revisions
2009-11-21 17:35 tidris769 Note Edited: 0004324 View Revisions
2009-11-21 17:35 tidris769 Note Deleted: 0004324
2009-11-21 17:40 tidris769 Note Added: 0004325
2009-11-21 18:46 tidris769 Note Edited: 0004325 View Revisions
2009-12-07 00:06 ddennedy Relationship added related to 0001259
2009-12-07 00:06 ddennedy Status new => assigned
2009-12-07 00:06 ddennedy Assigned To => ddennedy
2009-12-08 07:43 ddennedy Note Added: 0004419
2009-12-08 07:43 ddennedy Status assigned => resolved
2009-12-08 07:43 ddennedy Fixed in Version => future version
2009-12-08 07:43 ddennedy Resolution open => fixed
2010-02-02 10:34 j-b-m Fixed in Version future version => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker